package io.hmit.modules.fhjw.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Eve
 * @email mengmengeve@gmail.com
 * @create 2021/7/6
 */
@Data
@ApiModel(value = "反馈数量表")
public class FeedbackCountDTO {
    @ApiModelProperty(value = "总数")
    private Integer totalCount;

    @ApiModelProperty(value = "反馈意见总数")
    private Integer feedbackCount;

    @ApiModelProperty(value = "控告申诉总数")
    private Integer complainCount;

    @ApiModelProperty(value = "代表委员有话说总数")
    private Integer committeeCount;

    @ApiModelProperty(value = "其他问题总数")
    private Integer otherProblemCount;

    @ApiModelProperty(value = "违规不当办案总数")
    private Integer illegalCount;

    @ApiModelProperty(value = "办案不廉或作风不正总数")
    private Integer dishonestyCount;

    @ApiModelProperty(value = "干预办案总数")
    private Integer interveneCount;

    @ApiModelProperty(value = "拖延消极办案总数")
    private Integer delayCount;

    /**
     * 将所有总数设置成0
     * @return FeedbackCountDTO
     */
    public FeedbackCountDTO assembleZeroCountDTO(){
        FeedbackCountDTO feedbackCountDTO = new FeedbackCountDTO();
        feedbackCountDTO.setFeedbackCount(0);
        feedbackCountDTO.setTotalCount(0);
        feedbackCountDTO.setComplainCount(0);
        feedbackCountDTO.setCommitteeCount(0);
        feedbackCountDTO.setOtherProblemCount(0);
        feedbackCountDTO.setIllegalCount(0);
        feedbackCountDTO.setDishonestyCount(0);
        feedbackCountDTO.setInterveneCount(0);
        feedbackCountDTO.setDelayCount(0);
        return feedbackCountDTO;

    }

}
